# Vue Project Examples

This is a list of Vue Project that using different code style / configuration, for us have an image and some test cases for implementing the parser support for them.

| Type | Source | Example File |
| ---- | ---- | ------------ |
| V2 SFC + CJS format | Vue 2 Official Examples | https://github.com/vuejs/vuejs.org/blob/master/src/v2/examples/vue-20-single-file-components/Hello.vue |
| HTML + `<script>` | Vue 2 Official Examples | https://github.com/vuejs/vuejs.org/blob/master/src/v2/examples/vue-20-todomvc/index.html |
| V2 SFC + ESM format | Nuxt v2 | https://github.com/nuxt/nuxt.js/blob/dev/examples/hello-world/pages/about.vue |
| V2 Class Components | Nuxt v2 | https://github.com/nuxt/nuxt.js/blob/dev/examples/vue-class-component/components/Base.vue |
| V2 SFC + JSX | Jolaolu/jsx-in-vue | https://github.com/Jolaolu/jsx-in-vue/blob/master/src/components/HelloWorld.vue |
| V2 SFC + Template Engine | rohitkrai03/vue-starter | https://github.com/rohitkrai03/vue-starter/blob/master/template/src/js/App.vue |
| V2 SFC + Pug + Class Components | breadsplit/breadsplit | https://github.com/breadsplit/breadsplit/blob/dev/packages/client/components/dialogs/FormCategory.vue |
| V2 JSX | Nuxt v2 | https://github.com/nuxt/nuxt.js/blob/dev/examples/jsx/pages/index.js |
| V2 TS | Vuetify v2 | https://github.com/vuetifyjs/vuetify/blob/v2.4.11/packages/vuetify/src/components/VDatePicker/VDatePickerDateTable.ts |
| V3 TSX | Ant Design Vue | https://github.com/vueComponent/ant-design-vue/blob/next/components/affix/index.tsx |
| V3 SFC + `<script setup>` | antfu/icones | https://github.com/antfu/icones/blob/master/src/components/IconDetail.vue |

## Parser

- [@babel/pareser](https://babeljs.io/docs/en/babel-parser)
- [sucrase](https://github.com/alangpierce/sucrase)
